## cherrypy 0.10

=== demo/Makefile ===
all: DemoServer.py
DemoServer.py: Root.cpy Demo.cpy Prestation.cpy PrestationFrench.cpy PrestationEnglish.cpy PrestationTables.cpy
	python ../cherrypy.py Root.cpy

clean:
	rm -f DemoServer.py

=== doc/Makefile ===
OPTION=--html --about html/stdabout.dat --address "See <i><a href=\"about.html\">About this document...</a></i> for information on suggesting changes." --numeric --split 3 --dvips-safe 
all: tut howto lib
tut: tut/tut.tex
	python tools/mkhowto $(OPTION) --dir html/tut tut/tut.tex
	cd paper-letter && python ../tools/mkhowto --paper=letter --pdf ../tut/tut.tex
	cd paper-letter && python ../tools/mkhowto --paper=letter --dvi ../tut/tut.tex
	cd paper-letter && dvips -N0 -t letter tut.dvi -o tut.ps
	cd paper-a4 && python ../tools/mkhowto --paper=a4 --pdf ../tut/tut.tex
	cd paper-a4 && python ../tools/mkhowto --paper=a4 --dvi ../tut/tut.tex
	cd paper-a4 && dvips -N0 -t a4 tut.dvi -o tut.ps
tut-it: tut-it/tut.tex
	python tools/mkhowto $(OPTION) --dir html/tut-it tut-it/tut.tex
	cd paper-letter && python ../tools/mkhowto --paper=letter --pdf ../tut-it/tut.tex
	cd paper-letter && python ../tools/mkhowto --paper=letter --dvi ../tut-it/tut.tex
	cd paper-letter && dvips -N0 -t letter tut.dvi -o tut.ps
	cd paper-a4 && python ../tools/mkhowto --paper=a4 --pdf ../tut-it/tut.tex
	cd paper-a4 && python ../tools/mkhowto --paper=a4 --dvi ../tut-it/tut.tex
	cd paper-a4 && dvips -N0 -t a4 tut.dvi -o tut.ps
howto: howto/howto.tex
	python tools/mkhowto $(OPTION) --dir html/howto  howto/howto.tex
	cd paper-letter && python ../tools/mkhowto --paper=letter --pdf ../howto/howto.tex
	cd paper-letter && python ../tools/mkhowto --paper=letter --dvi ../howto/howto.tex
	cd paper-letter && dvips -N0 -t letter howto.dvi -o howto.ps
	cd paper-a4 && python ../tools/mkhowto --paper=a4 --pdf ../howto/howto.tex
	cd paper-a4 && python ../tools/mkhowto --paper=a4 --dvi ../howto/howto.tex
	cd paper-a4 && dvips -N0 -t a4 howto.dvi -o howto.ps
lib: lib/lib.tex
	python tools/mkhowto --html --about html/stdabout.dat --address "See <i><a href=\"about.html\">About this document...</a></i> for information on suggesting changes." --global-module-index "../modindex.html" --dvips-safe --dir html/lib lib/lib.tex
	cd paper-letter && python ../tools/mkhowto --paper=letter --pdf ../lib/lib.tex
	cd paper-letter && python ../tools/mkhowto --paper=letter --dvi ../lib/lib.tex
	cd paper-letter && dvips -N0 -t letter lib.dvi -o lib.ps
	cd paper-a4 && python ../tools/mkhowto --paper=a4 --pdf ../lib/lib.tex
	cd paper-a4 && python ../tools/mkhowto --paper=a4 --dvi ../lib/lib.tex
	cd paper-a4 && dvips -N0 -t a4 lib.dvi -o lib.ps

## cherrypy 3-3.1.1

=== debian/changelog ===
cherrypy (3-3.1.1) unstable; urgency=low

  * Added debian packaging.

 -- André Dieb Martins <dieb@embedded.ufcg.edu.br>  Thu, 22 Jan 2009 16:18:00 -0300 

=== debian/control ===
Source: cherrypy
Section: user/network
Priority: optional
Maintainer: André Dieb Martins <dieb@embedded.ufcg.edu.br>
Build-Depends: debhelper (>= 5.0.38), python-distutils | python2.5-distutils, python2.5-dev | python-dev
Standards-Version: 3.6.1

Package: python2.5-cherrypy3
Section: user/development
Architecture: all
Depends: python2.5
Provides: ${python:Provides}
Description: cherrypy web server facilities

=== debian/rules ===
#!/usr/bin/make -f

PYVER=2.5
PYTHON=python$(PYVER)

p_base=$(PYTHON)-cherrypy3
d_base=debian/tmp
package=cherrypy

build: build-stamp

build-stamp:
	dh_testdir
	$(PYTHON) setup.py build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(PYTHON) setup.py clean
	-rm -f build-stamp
	-rm -rf build
	-rm -f *.py[co]
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	$(PYTHON) setup.py install --root=$(d_base)

	mkdir -p debian/$(p_base)/usr/lib/$(PYTHON)/site-packages
	mv debian/tmp/usr/lib/$(PYTHON)/site-packages/$(package) debian/$(p_base)/usr/lib/$(PYTHON)/site-packages/

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_fixperms
	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build install clean binary binary-indep binary-arch
